DbEnv::rep_get_nsites()
Prev | Chapter 11. Replication Methods | Next

## DbEnv::rep_get_nsites()

    #include <db_cxx.h>

    int
    DbEnv::rep_get_nsites(u_int32_t *nsitesp);

The `DbEnv::rep_get_nsites()` method returns the total number of sites in the replication group. This value is configurable using the DbEnv::rep_set_nsites() method.

The `DbEnv::rep_get_nsites()` method may be called at any time during the life of the application.

The `DbEnv::rep_get_nsites()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### nsitesp

The `DbEnv::rep_get_nsites()` method returns the total number of sites in the replication group in nsitesp.

### Class

DbEnv

### See Also

Replication and Related Methods, DbEnv::rep_set_nsites()

Prev | Up | Next
DbEnv::rep_get_limit() | Home | DbEnv::rep_get_priority()